Public Member Functions

# OGRProj4CT Class Reference

Inheritance diagram for OGRProj4CT:

List of all members.

## Public Member Functions
virtual OGRSpatialReference * | GetSourceCS ()
virtual OGRSpatialReference * | GetTargetCS ()
virtual int | Transform (int nCount, double *x, double *y, double *z=NULL)
virtual int | TransformEx (int nCount, double *x, double *y, double *z=NULL, int *panSuccess=NULL)

## Member Function Documentation

OGRSpatialReference * OGRProj4CT::GetSourceCS | ( |  | ) | `[virtual]`

Fetch internal source coordinate system.

Implements OGRCoordinateTransformation.

OGRSpatialReference * OGRProj4CT::GetTargetCS | ( |  | ) | `[virtual]`

Fetch internal target coordinate system.

Implements OGRCoordinateTransformation.

int OGRProj4CT::Transform | ( | int | nCount,
|  | double * | x,
|  | double * | y,
|  | double * | z = `NULL` |
| ) |  |  | `[virtual]`

Transform points from source to destination space.

This method is the same as the C function OCTTransform().

The method TransformEx() allows extended success information to be captured indicating which points failed to transform.

Parameters:

  | nCount | number of points to transform.
  | x | array of nCount X vertices, modified in place.
  | y | array of nCount Y vertices, modified in place.
  | z | array of nCount Z vertices, modified in place.

Returns:
  TRUE on success, or FALSE if some or all points fail to transform.

Implements OGRCoordinateTransformation.

References TransformEx().

int OGRProj4CT::TransformEx | ( | int | nCount,
|  | double * | x,
|  | double * | y,
|  | double * | z = `NULL`,
|  | int * | pabSuccess = `NULL` |
| ) |  |  | `[virtual]`

Transform points from source to destination space.

This method is the same as the C function OCTTransformEx().

Parameters:

  | nCount | number of points to transform.
  | x | array of nCount X vertices, modified in place.
  | y | array of nCount Y vertices, modified in place.
  | z | array of nCount Z vertices, modified in place.
  | pabSuccess | array of per-point flags set to TRUE if that point transforms, or FALSE if it does not.

Returns:
  TRUE if some or all points transform successfully, or FALSE if if none transform.

Implements OGRCoordinateTransformation.

Referenced by Transform().

The documentation for this class was generated from the following file:

- ogrct.cpp

Generated for GDAL by 1.7.1.